// code for mammals
#include "animalsBase.h"
#include "mammal.h"
#include <iostream>
using namespace std;


extern "C"
{
mammalBase::mammalBase() : animalBase()
{
	cout << "creating a default mammal" << endl;
	animalBase();
	this->furColor = 1;
}
}

extern "C"
{
mammalBase::mammalBase(int isNocternal, int whateats, int theFurColor) : animalBase(isNocternal, whateats)
{
	cout << "creating a mammal with params" << endl;
	this->furColor = theFurColor;
}
}


extern "C"
{
mammalBase::~mammalBase()
{
	cout << "deleting a mammal" << endl;
}
}


extern "C"
{
void mammalBase::print()
{
	cout << "mammal had fur of " << this->getFurColor() << endl;
	animalBase::print();
}
}

extern "C"
{
int mammalBase::getFurColor()
{
	return this->furColor;
}
}
